<?php
if (empty ( $_SESSION ['username'] ))
	header ( 'Location:' . Url ( 'index', 'login' ) );
?>
<!DOCTYPE html>
<html>
<head>
<title><?=$title?></title>

<meta name="viewport" content="width=device-width, initial-scale=1.0" />

<!-- bootstrap -->
<link href="View/public/css/bootstrap/bootstrap.css" rel="stylesheet" />
<link href="View/public/css/bootstrap/bootstrap-responsive.css"
	rel="stylesheet" />
<link href="View/public/css/bootstrap/bootstrap-overrides.css"
	type="text/css" rel="stylesheet" />

<!-- libraries -->
<link href="View/public/css/lib/bootstrap-wysihtml5.css" type="text/css"
	rel="stylesheet" />
<link href="View/public/css/lib/uniform.default.css" type="text/css"
	rel="stylesheet" />
<link href="View/public/css/lib/select2.css" type="text/css"
	rel="stylesheet" />
<link href="View/public/css/lib/bootstrap.datepicker.css"
	type="text/css" rel="stylesheet" />
<link href="View/public/css/lib/font-awesome.css" type="text/css"
	rel="stylesheet" />

<!-- global styles -->
<link rel="stylesheet" type="text/css" href="View/public/css/layout.css" />
<link rel="stylesheet" type="text/css"
	href="View/public/css/elements.css" />
<link rel="stylesheet" type="text/css" href="View/public/css/icons.css" />

<!-- this page specific styles -->
<link rel="stylesheet" href="View/public/css/compiled/form-showcase.css"
	type="text/css" media="screen" />

<!--[if lt IE 9]>
      <script src="http://html5shim.googlecode.com/svn/trunk/html5.js"></script>
    <![endif]-->
<meta http-equiv="Content-Type" content="text/html; charset=utf-8" />
</head>
<body>

	<!-- navbar -->
<?=load('header')?>
    <!-- end navbar -->

	<!-- sidebar -->
<?=load('left')?>
    <!-- end sidebar -->


	<!-- main container -->
	<div class="content">
		<div class="container-fluid">
			<div id="pad-wrapper">

				<div class="table-products section">
					<div class="row-fluid form-wrapper">
						<div class="container-fluid col-xs-12">
							<div id="pad-wrapper" class="form-page">
								<div class="row-fluid form-wrapper">
									<!-- left column -->
									<div class="span8 column">
										<table class="table table-hover col-xs-12"
											style="width: 570px;">
											<tbody>
												<!-- row -->
												<tr class="first">
													<td>邮箱地址</td>
													<td class="description"><input style="width: 250px;"
														class="span8 inline-input" id="mail" type="text" /></td>
													<td><button style="width: 90px;" id="submit" type="button"
															class="btn-glow primary btn-next">发送验证码</button></td>
												</tr>
												<!-- row -->
												<tr>
													<td>邮箱验证码</td>
													<td class="pass"><input style="width: 250px;"
														class="span8 inline-input" id="verify" type="text" /></td>
													<td>
														<button style="width: 80px;" id="status" type="button"
															class="btn-glow primary btn-next">验证邮箱</button>
													</td>
												</tr>
											</tbody>
										</table>
									</div>
								</div>
							</div>
						</div>
					</div>
				</div>
				<!-- end table sample -->
			</div>
		</div>
	</div>

	<!-- end main container -->

	<!-- scripts for this page -->
	<script src="View/public/js/wysihtml5-0.3.0.js"></script>
	<script src="View/public/js/jquery-latest.js"></script>
	<script src="View/public/js/bootstrap.min.js"></script>
	<script src="View/public/js/bootstrap-wysihtml5-0.0.2.js"></script>
	<script src="View/public/js/bootstrap.datepicker.js"></script>
	<script src="View/public/js/jquery.uniform.min.js"></script>
	<script src="View/public/js/select2.min.js"></script>
	<script src="View/public/js/theme.js"></script>
	<script type="text/javascript">
$(document).ready(function(){
    $("#submit").click(function(){
        var mail = $("#mail").val(); 
        if(mail==""){ 
            alert("邮箱地址不能为空！");
        } 
      
         $.ajax({
    	   type:"POST",
    	   data:{mail:mail,user:"<?=$_SESSION['username']?>",type:"status"}, 
    	   dataType:"json",
    	   url:'<?=Url('mail_status','sendmail')?>',
           success:function(rdata){
               switch(rdata.status){
				   case "success": alert(rdata.info); break;
				   case "error": alert(rdata.info); break;
			   }
            }        
       });
    });  
});
$(document).ready(function(){
   $("#status").click(function(){
       var mail = $("#mail").val(); 
       var key = $("#verify").val();
       var stat = "mail=" + mail + "&verify=" + key;
      // document.write(key);
       if(mail == ""){ 
           alert("邮箱地址不能为空！");
           return false; 
       } 
       if(key == ""){ 
           alert("验证码不能为空");
           return false; 
       }  
       $.ajax({
          type:"POST", 
          dataType:"json", 
          data:stat, 
          url:"<?=Url('mail_status','mail')?>", 
          success:function(rdata){
			switch(rdata.status){
				case "success" : alert(rdata.info); break;
				case "error" : alert("验证失败 请重试"); return false; break;
			    }  
            }
        })
    })
})
</script>
</body>
</html>